diff --git a/src/kx.c b/src/kx.c
index dcc0e41..7dccb5e 100644
--- a/src/kx.c
+++ b/src/kx.c
@@ -350,7 +350,11 @@ K dv_ex(K a, V *p, K b)
   V *o = p-1;
 
   //Arity of V?A_1...A_n-1 for X V?A_1...A_n Y; 0 for X Y, X A Y
-  I k=adverbClass(*p)?adverbClass(*o)?1:valence(*o):valence(*p); //also t7 basic
+  I k=0; K w;
+  if(*p==(V)offsetScan && *o>(V)DT_SIZE){
+    w=*(K*)*o;
+    if(7==w->t && 3==kVC(w)->n && kV(kVC(w))[0]==(V)0x16 && kV(kVC(w))[1]==(V)offsetScan) k=1; }
+  if(k==0) k=adverbClass(*p)?adverbClass(*o)?1:valence(*o):valence(*p); //also t7 basic
 
   V adverb=*p; //TODO: Implement adverb "Error Reports" error checking from manual
 
diff --git a/src/tests.c b/src/tests.c
index de43205..a7bfea5 100644
--- a/src/tests.c
+++ b/src/tests.c
@@ -290,6 +290,7 @@ Z I tests02()
   TC(120, fac:{[n] :[n=0;1;n*_f n-1]}; fac 5)     // issue 487
   TC(3, a:3;a)                                    // issue 502
   TC("abcdefghij"2 3, "cd")                       // issue 508
+  TC_(",1 1", "0(+\\)\\1 1")                      // issue 515
 
   //Error trap: {[a;b][c;d] a+b} -> parse error ; { {[a][b] }} -> parse error
   TC(.[*; (3;4); :], (0;12) )
